package agileTraveler.airTicketPrice;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.List;

import org.ini4j.InvalidFileFormatException;

import agileTraveler.exceptions.CityNotFoundException;
import agileTraveler.utilities.IniUtils;

public class AirCompanyTicketPricesParserMock implements
		IAirCompanyTicketPricesParser {
	List<AirCompanyTicketPrices> airTicketPrices;

	public AirCompanyTicketPricesParserMock(String iniSection)
			throws InvalidFileFormatException, IOException,
			IllegalAccessException, InvocationTargetException,
			NoSuchMethodException, InstantiationException, CityNotFoundException {
		airTicketPrices = new ArrayList<AirCompanyTicketPrices>();
		IniUtils iniUtils = new IniUtils();
		iniUtils.fillList(airTicketPrices, AirCompanyTicketPrices.class,
				iniSection);
		if (airTicketPrices.size() == 0) {
			throw new CityNotFoundException("No ini section.");
		}
	}

	@Override
	public List<AirCompanyTicketPrices> getAirTicketPrices() {
		return airTicketPrices;
	}

}
