package agileTraveler.bean;

import java.util.Collection;

import agileTraveler.model.TravelGuide;
import agileTraveler.travelGuide.TravelGuideSearchException;
import agileTraveler.travelGuide.TravelGuideSearcher;

public class TravelGuideBean {

	private Collection<TravelGuide> travelGuides;
	private String title;
	private String errorMessages;

	private static String mockIniSection = null;

	public void searchTravelGuide(String destinationCity) {
		this.setTitle("Travel Guides for " + destinationCity);
		TravelGuideSearcher searcher = new TravelGuideSearcher();
		try {
			travelGuides = searcher.searchTravelGuides(destinationCity, mockIniSection);
		} catch (TravelGuideSearchException e) {
			errorMessages = e.getMessage();
		}
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTitle() {
		return title;
	}

	public void setTravelGuides(Collection<TravelGuide> travelGuides) {
		this.travelGuides = travelGuides;
	}

	public Collection<TravelGuide> getTravelGuides() {
		return travelGuides;
	}

	public String getErrorMessages() {
		return errorMessages;
	}

	public static void setMock(String iniSection) {
		mockIniSection = iniSection;
	}
}
