package agileTraveler.utilities;


public class ThreadUtils {

	public static Thread runInOtherThread(Runnable runnable, String name) {
		Thread th = new Thread(runnable);
		th.setDaemon(true);
		th.setName(name);
		th.start();
		return th;
	}

	public static void joinAll(Thread[] ths) throws InterruptedException {
		for (int i = 0; i < ths.length; i++) {
			ths[i].join();
		}		
	}
	
}
