<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">


<%@page import="agileTraveler.bean.Search"%>
<%@page import="agileTraveler.bean.WeatherBean"%>
<%@page import="agileTraveler.bean.AirTicketBean"%>
<%@page import="agileTraveler.bean.TravelGuideBean"%><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">

<link type="text/css" rel="stylesheet" href="/js/jscalendar-1.0/calendar-blue.css">
<link type="text/css" rel="stylesheet" href="css/style.css">
<link type="text/css" rel="stylesheet" media="screen" href="css/suggestions.css">

<script type="text/javascript" src="./js/jscalendar-1.0/calendar.js"></script>
<script type="text/javascript" src="./js/jscalendar-1.0/lang/calendar-en.js"></script>
<script type="text/javascript" src="./js/jscalendar-1.0/calendar-setup.js"></script>
<script type="text/javascript" src="js/dates.js"></script>
<script type="text/javascript" src="js/suggestions.js"></script>


<title>Agile Traveler</title>
</head>
<body class="content" onload="init()">

<img src="img/agileTraveler64.png" />

<h2>Agile Traveler Search</h2>
<hr>
<f:view>

	<t:htmlTag value="table">

		<t:htmlTag value="tr">
			<t:htmlTag value="td" style="vertical-align:top">

				<h:form id="searchForm" style="vertical-align:top; margin-bottom:20px">
					<h:panelGrid columns="2" id="searchPanel" columnClasses="right, left"
						style="border-style: solid; border-color: #CFCFCF; border-width: 1px;">

						<jsp:include page="fields.jsp"/>

						<h:commandButton id="search" value="Search" action="#{searchBean.search}" disabled="true"/>
						<h:outputLabel id="suggestionMessage" for="searchForm"/>
					</h:panelGrid>
					
					<h:inputText id="departureAirportName" style="display: none"
						value="#{searchBean.departureAirportName}" onchange="alert('departureAirportName=' + this.value)"/>
					<h:inputText id="departureAirportCode" style="display: none"
						value="#{searchBean.departureAirportCode}"/>
					<h:inputText id="destinationAirportName" style="display: none"
						value="#{searchBean.destinationAirportName}" onchange="alert('destinationAirportName=' + this.value)"/>
					<h:inputText id="destinationAirportCode" style="display: none"
						value="#{searchBean.destinationAirportCode}"/>
					<h:inputText id="destinationLocationCode" style="display: none"
						value="#{searchBean.destinationLocationCode}"/>

					<h:outputLabel id="errorMessage" for="searchForm"
						value="#{searchBean.errorMessage}" styleClass="error"
						rendered="#{! empty searchBean.errorMessage}"/>
				</h:form>

				<h:panelGrid id="travelGuides">
					<jsp:include page="./travelGuide.jsp"></jsp:include>
				</h:panelGrid>

			</t:htmlTag>

			<t:htmlTag value="td" style="vertical-align:top">
				<jsp:include page="./weather.jsp"></jsp:include>
				<jsp:include page="./airTicket.jsp"></jsp:include>
			</t:htmlTag>
		</t:htmlTag>

	</t:htmlTag>

	<t:htmlTag value="br" />

	<script type="text/javascript">
		initCheckDates("searchForm:departureDateButton",
				"searchForm:departureDate",
				"searchForm:returnDateButton",
				"searchForm:returnDate");
		Calendar.setup( {
			button : "searchForm:departureDateButton", // ID of the input field
			inputField: "searchForm:departureDate",
			ifFormat : "%Y-%m-%d", // the date format
			eventName : "click"
		});
		Calendar.setup( {
			button : "searchForm:returnDateButton", // ID of the input field
			inputField: "searchForm:returnDate",
			ifFormat : "%Y-%m-%d", // the date format
			eventName : "click"
		});
	</script>

</f:view>

<%
	WeatherBean.setSearchWeatherEngine(request.getParameter("searchEngineFactory"));
	AirTicketBean.setMock(request.getParameter("airTicketIniSection"));
	TravelGuideBean.setMock(request.getParameter("travelGuideIniSection"));
%>
</body>
</html>