#!/usr/bin/perl

use strict;

my $parseCountry = 1;
my $country = '';
my $city = '';
my $code = '';

print "begin;\n";
print "create table cities(code TEXT PRIMARY KEY, name TEXT, country TEXT);\n";

while (<>) {
    if ($_ =~ /^\s$/) {
        $parseCountry = 1;
    } elsif ($parseCountry) {
        if ($_ =~ /[A-Z]{2},(.+)\n*$/) {
            $country = $1;
            $parseCountry = 0;
        }
    } else {
        if ($_ =~ /^(.+),([A-Z]{4}\d{4})\s$/) {
            $city = $1;
            $code = $2;
            print "INSERT INTO cities(code, name, country) VALUES (\"$code\", \"$city\", \"$country\");\n";
        }
    }
}
print "commit;";
