<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>


<t:aliasBean id="aliasTravelGuide" alias="#{travelGuideBean}"
	value="#{searchBean.travelGuideBean}">

	<h:panelGrid id="panelTravelGuide">
		<h:form rendered="#{! empty travelGuideBean.travelGuides}">
			<h:outputLabel styleClass="title" value="#{travelGuideBean.title}" />
			<h:dataTable styleClass="travelGuideResult"
				value="#{travelGuideBean.travelGuides}" var="guide">
				<h:column>
					<h:outputLink value="#{guide.url}">
						<h:outputText escape="false" value="#{guide.title}"></h:outputText>
					</h:outputLink>
				</h:column>
			</h:dataTable>
		</h:form>
	</h:panelGrid>
	<h:outputText id="travelGuideError" styleClass="error" value="#{travelGuideBean.errorMessages}"></h:outputText>
</t:aliasBean>